<?php
/**
 * The Horde_Editor_fckeditor:: class provides an WYSIWYG editor for use
 * in the Horde Framework.
 *
 * $Horde: framework/Editor/Editor/fckeditor.php,v 1.3 2006/01/01 21:09:52 jan Exp $
 *
 * Copyright 2003-2006 Nuno Loureiro <nuno@co.sapo.pt>
 * Copyright 2004-2006 Jan Schneider <jan@horde.org>
 *
 * See the enclosed file COPYING for license information (LGPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 *
 * @author  Nuno Loureiro <nuno@co.sapo.pt>
 * @author  Jan Schneider <jan@horde.org>
 * @since   Horde 3.2
 * @package Horde_Editor
 */
class Horde_Editor_fckeditor extends Horde_Editor {

    /**
     * Constructor. Include the necessary javascript files.
     */
    function Horde_Editor_fckeditor($params = array())
    {
        global $notification;

        Horde::addScriptFile('fckeditor.js', 'horde');
        Horde::addScriptFile('/services/editor/fckeditor/fckeditor.js', 'horde', true);

        Horde::addScriptFile('horde.js', 'horde');
        Horde::addScriptFile('/services/editor/fckeditor/horde.js', 'horde', true);

        $notification->push('window.onload = Create_FCKeditor();', 'javascript');
    }

}
